‹ Back to Splice

FL Studio 20 Studio Compatibility

Follow

Splice now supports FL 20 on both Mac and Windows OS.  Please make sure you are running 3.3.1 or newer to sync projects on Mac OS.

 

You can get the latest app here:

https://splice.com/download

 

 

Have more questions? Submit a request

Comments